using System.Data;

namespace Stat.BLL
{
    /// <summary>
    /// 
    /// </summary>
    public class Database
    {
        static Stat.IDAL.IDatabase dal = Stat.DALFactory.AbstractFactory.GetInstance().CreateDatabase();

        /// <summary>
        /// 
        /// </summary>
        /// <param name="database"></param>
        /// <param name="pageInfo"></param>
        /// <returns></returns>
        public static DataTable GetList(Model.Database database, ref Model.PageInfo pageInfo)
        {
            return dal.GetList(database, ref pageInfo);
        }
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public static string[,] GetTables(int databaseServerId)
        {
            return dal.GetTables(databaseServerId);
        }
    }
}
